<template>
  <div>
    <ul class="nav nav-tabs">
      <li class="nav-item">
        <a
          :class="currentTab === 'features' ? 'nav-link active' : 'nav-link'"
          @click="currentTab = 'features'"
        >
          Features by version
        </a>
      </li>
      <li class="nav-item">
        <a
          :class="currentTab === 'changelog' ? 'nav-link active' : 'nav-link'"
          @click="currentTab = 'changelog'"
        >
          Changelog
        </a>
      </li>
      <li class="nav-item">
        <a
          :class="currentTab === 'stats' ? 'nav-link active' : 'nav-link'"
          @click="currentTab = 'stats'"
          >Feature Statistics</a
        >
      </li>
      <li class="nav-item">
        <a
          :class="
            currentTab === 'deprecations' ? 'nav-link active' : 'nav-link'
          "
          @click="currentTab = 'deprecations'"
          >Deprecations</a
        >
      </li>
      <li class="nav-item">
        <a
          :class="currentTab === 'dot-com' ? 'nav-link active' : 'nav-link'"
          @click="currentTab = 'dot-com'"
          >GitLab.com: Latest updates</a
        >
      </li>
      <li class="nav-item">
        <a
          :class="currentTab === 'cves' ? 'nav-link active' : 'nav-link'"
          @click="currentTab = 'cves'"
          >CVEs by version</a
        >
      </li>
      <li class="nav-item">
        <a
          class="nav-link" style="color:black" href="https://gitlab-com.gitlab.io/support/toolbox/upgrade-path/"
          >Upgrade path</a
        >
      </li>
    </ul>
    <div class="my-2">
      <DotCom v-if="currentTab === 'dot-com'" />
      <Features v-else-if="currentTab === 'features'" />
      <Changelog v-else-if="currentTab === 'changelog'" />
      <Deprecations v-else-if="currentTab === 'deprecations'" />
      <Stats v-else-if="currentTab === 'stats'" />
      <CVEs v-else-if="currentTab === 'cves'" />
    </div>
  </div>
</template>
<script>
import Features from "./features.vue";
import Changelog from "./changelog.vue";
import Deprecations from "./deprecations.vue";
import Stats from "./stats.vue";
import DotCom from "./dot-com.vue";
import CVEs from "./cves.vue";
import { glClientSDK } from "@gitlab/application-sdk-browser";

export default {
  data() {
    return { currentTab: null, glClient: null };
  },
  mounted() {
    if (GITLAB_ANALYTICS_ID && GITLAB_ANALYTICS_HOST) {
      this.glClient = glClientSDK({
        appId: GITLAB_ANALYTICS_ID,
        host: GITLAB_ANALYTICS_HOST,
      });
    }
    if (window.location.search.includes("deprecations")) {
      this.currentTab = "deprecations";
    } else if (window.location.search.includes("stats")) {
      this.currentTab = "stats";
    } else if (window.location.search.includes("changelog")) {
      this.currentTab = "changelog";
    } else if (window.location.search.includes("dot-com")) {
      this.currentTab = "dot-com";
    } else if (window.location.search.includes("cves")) {
      this.currentTab = "cves";
    } else {
      this.currentTab = "features";
    }
  },
  components: {
    Deprecations,
    Features,
    Changelog,
    Stats,
    DotCom,
    CVEs,
  },
  methods: {
    pageView(...args) {
      if (this.glClient && this.glClient.page) {
        this.glClient.page(...args);
      }
    },
  },
};
</script>
